# class SpeechSynthesis

#### package js.html

Available on HTML5

The `SpeechSynthesis` interface of the Web Speech API is the controller interface for the speech service; this can be used to retrieve information about the synthesis voices available on the device, start and pause speech, and other commands besides.

Documentation SpeechSynthesis by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/SpeechSynthesis

### Variables

###

`read onlypaused:Bool`

A `Boolean` that returns `true` if the `SpeechSynthesis` object is in a paused state.

###

`read onlypending:Bool`

A `Boolean` that returns `true` if the utterance queue contains as-yet-unspoken utterances.

###

`read onlyspeaking:Bool`

A `Boolean` that returns `true` if an utterance is currently in the process of being spoken — even if `SpeechSynthesis` is in a paused state.

### Methods

###

`cancel ():Void`

Removes all utterances from the utterance queue.

###

`getVoices ():Array<SpeechSynthesisVoice>`

Returns a list of `SpeechSynthesisVoice` objects representing all the available voices on the current device.

###

`pause ():Void`

Puts the `SpeechSynthesis` object into a paused state.

###

`resume ():Void`

Puts the `SpeechSynthesis` object into a non-paused state: resumes it if it was already paused.

###

`speak (utterance:SpeechSynthesisUtterance):Void`

Adds an `SpeechSynthesisUtterance` to the utterance queue; it will be spoken when any other utterances queued before it have been spoken.